.article-card {
  border-radius: var(--spacing-lg);
  overflow: hidden;
  background-color: var(--color-white);
  display: flex;
  flex-direction: column;
  position: relative;
}

.article-card__media {
  overflow: hidden;
}

.article-card__content {
  padding: var(--spacing-sm);
  display: flex;
  flex-direction: column;
  gap: var(--spacing-md);
  flex-grow: 1;

  --p-margin--y: 0;

  @media screen and (min-width: 425px) {
    padding: var(--spacing-md);
  }

  @media screen and (min-width: 1240px) {
    padding: var(--spacing-lg);
  }
}

.article-card__title {
  font: var(--typography-title-medium);
  margin: 0;
}

.article-card__description {
  font: var(--typography-body-medium);
  color: var(--color-text-dimmed);
}

.article-card__info {
  margin-top: auto;
  color: var(--color-text-dimmed);
  font: var(--typography-body-small);
}

.article-card__link {
  color: var(--color-text);

  &:hover {
    color: var(--color-primary);
  }

  &::after {
    display: block;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
  }
}

.article-card__image {
  transition: all 250ms var(--transition-cubic-bezier-soft);
  transform: scale(1);
  width: 100%;
  height: auto;
}

.article-card:hover .article-card__image {
  transform: scale(1.05);
}

.article-card__created,
.article-card__author {
  --icon-wrapper-width: 20px;
  display: flex;
  gap: var(--spacing-xs);
  align-items: center;
  line-height: 1;
}

.article-card__info {
  display: flex;
  gap: var(--spacing-md);
  flex-wrap: wrap;
}

.article-card__avatar {
  border-radius: 50%;
  display: block;
}

.article-card__author a {
  color: var(--color-text-dimmed);
  position: relative;
  z-index: 2;

  &:hover {
    color: var(--color-primary);
  }
}